Name:           mod_remoteip
Version:        0.1
Release:        2.30078fc0a9git%{?dist}
Summary:        Backport of mod_remoteip to httpd 2.2
Group:          System Environment/Libraries

License:        ASL 2.0
URL:            https://github.com/ttkzw/mod_remoteip-httpd22
#https://github.com/ttkzw/mod_remoteip-httpd22/commit/30078fc0a986e8d599f8626ba871df0f87a9a841
Source0:        mod_remoteip-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  httpd-devel >= 2.2, httpd-devel < 2.3
Requires:       httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)

%description
This module is used to treat the remote host which initiated the request as the
originating remote host as identified by httpd for the purposes of authorization
and logging, even where that remote host is behind a load balancer, front end
server, or proxy server.

The module replaces the apparent remote (client) IP/hostname for the request
with the IP address reported in the request header configured with the
RemoteIPHeader directive.

Once replaced as instructed, this apparent IP address is then used for 
mod_authz_host features <Require host> and <Require ip>, is reported by
mod_status, and is recorded by mod_log_config a and h directives. It also 
determines the machine probed for an inetd identity by mod_ident based on the
IdentityCheck configuration.

%prep
%setup -q


%build
make

%install
install -Dp -m 0644 mod_remoteip.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/mod_remoteip.conf
install -Dp .libs/mod_remoteip.so %{buildroot}%{_libdir}/httpd/modules/mod_remoteip.so


%clean
rm -rf %{buildroot}

%files
%doc README
%defattr (-,root,root)
%{_libdir}/httpd/modules/mod_remoteip.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_remoteip.conf

%changelog
* Sun Nov 25 2012 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.1-2.30078fc0a9git
- Change to github hosted backport

* Tue Nov 23 2010 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.1-1
- Inital Package
